POST
/
agents

Creates a new AI agent.

Body Parameters

name
string

The name of the agent.

description
string
required

A description of the agent.

systemPrompt
string
required

The system prompt that defines the agent’s behavior.

prompt
string

Additional prompt configuration.

userPrompt
string

Custom user prompt template.

modelName
string

The LLM model to use (e.g., gpt-4, gpt-3.5-turbo).

temperature
number

The temperature for the model (default: 0.0).

handle
string

A unique handle for the agent (3-30 chars, lowercase, underscores only).

visibility
string

The visibility of the agent: public or private (default: private).

promptType
string

The prompt type: customer_support (default) or other types.

iconUrl
string

URL for the agent’s icon/image.

Authorizations

Authorization
string
headerrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

Agent name. If not provided, a fun name will be generated automatically.

description
string

Agent description.

modelName
string

LLM model to be used by the agent. Check the API for available model names.

temperature
number

Model temperature (min 0.0, max 1.0). Controls randomness. Model default if not specified.

systemPrompt
string

System prompt to guide the agent's behavior.

visibility
enum<string>
default: private

Agent visibility. public allows access without authentication (depending on other settings), private restricts access to the organization.

Available options:
public,
private
handle
string

A unique identifier (slug) for the agent. Used for friendly URLs.

interfaceConfig
object

Chat interface settings for this agent (colors, initial messages, etc.).

configUrlExternal
object

External URL configurations.

configUrlInfosSystemExternal
object

External URL configurations of the system.

enableInactiveHours
boolean | null

Enable or disable Inactive hours for the agent.

inactiveHours
object | null

A JSON object specifying the agent's inactive hours per channel. The top-level keys represent the channel (e.g., whatsapp, website,instagram), and each key contains an object with the days of the week and their respective inactive time ranges.

tools
object[]

List of tools to be associated with the agent.

Response

200 - application/json
id
string
name
string
description
string | null
handle
string | null

A unique identifier (slug) for the agent.

modelName
string

LLM - Model name.

temperature
number

Temperature of the model (min 0.0, max 1.0)

visibility
enum<string>
Available options:
public,
private
systemPrompt
string | null

Agent system prompt

enableInactiveHours
boolean | null

Enable or disable Inactive hours for the agent.

inactiveHours
object | null

A JSON object specifying the agent's inactive hours per channel. The top-level keys represent the channel (e.g., whatsapp, website,instagram), and each key contains an object with the days of the week and their respective inactive time ranges.

interfaceConfig
object

Chat interface settings for this agent.

configUrlExternal
object

External URL configurations.

configUrlInfosSystemExternal
object

External URL configurations of the system.

tools
object[]

List of tools associated with the agent.

organizationId
string

ID of the organization the agent belongs to.

createdAt
string

Timestamp of when the agent was created.

updatedAt
string

Timestamp of the last update to the agent.